(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     40490,        931]*)
(*NotebookOutlinePosition[     41144,        954]*)
(*  CellTagsIndexPosition[     41100,        950]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
    RowBox[{\(Potenz[n_] := Module[{i}, Product[A[i] + B[i], {i, n}]];\), 
      "\[IndentingNewLine]", 
      StyleBox[\( (*\ Test\ *) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(Expand[Potenz[3]]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[
    \(A[1]\ A[2]\ A[3] + A[2]\ A[3]\ B[1] + A[1]\ A[3]\ B[2] + 
      A[3]\ B[1]\ B[2] + A[1]\ A[2]\ B[3] + A[2]\ B[1]\ B[3] + 
      A[1]\ B[2]\ B[3] + B[1]\ B[2]\ B[3]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{\(bestimmeAnzahl[term_, i_, K_, A_]\), ":=", 
        RowBox[{"Module", "[", 
          RowBox[{\({anz, pos}\), ",", "\[IndentingNewLine]", 
            RowBox[{
              StyleBox["(*",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              StyleBox[" ",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              StyleBox["Anzahl",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              StyleBox[" ",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], 
              StyleBox["*)",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]]}], "\[IndentingNewLine]", 
            RowBox[{\(anz = 0\), ";", "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["(*",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox[" ",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["Position",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox[" ",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["*)",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]]}], 
              "\[IndentingNewLine]", \(pos\  = \ {}\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ Schleife\ \[UDoubleDot]ber\ die\ Anzahl\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              RowBox[{"While", "[", 
                
                RowBox[{\(\((\ 
                      pos \[Equal] {}\  || \((Length[
                              pos[\([1]\)]] \[NotEqual] 1\ )\))\)\  && \ 
                    anz \[LessEqual] K\), ",", "\[IndentingNewLine]", 
                  RowBox[{\(anz = anz + 1\), ";", "\[IndentingNewLine]", 
                    RowBox[{
                      StyleBox["(*",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[\(Position\ von\ A^anz\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox["*)",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]]}], 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      StyleBox["(*",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      RowBox[{
                        RowBox[{
                          StyleBox["Der",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox[" ",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox["Faktor",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox[" ",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox["F",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox[" ",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          RowBox[{
                            StyleBox["unterbindet",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox[":",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox[" ",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            RowBox[{
                              StyleBox["Position",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["[",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox[\(A[1], A[1]\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]]}]}]}], 
                        StyleBox[" ",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        StyleBox["->",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        StyleBox[" ",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        StyleBox[\({{}}\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]]}], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox["*)",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]]}], 
                    "\[IndentingNewLine]", \(pos = 
                      Position[F\ *\ term, If[anz == 1, A[i], A[i]^anz]]\), 
                    ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", \(If[anz \[LessEqual] K, anz, 0]\)}]}], 
          "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
      StyleBox[\( (*\ Test\ *) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(bestimmeAnzahl[2\ B[4]^2\ A[1]\ B[2]^3\ A[3]^4, 3, 4, A]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[
    \(4\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{\(bildeZeichenkette[term_, K_, P_]\), ":=", 
        RowBox[{"Module", "[", 
          RowBox[{\({str, i, j, Potenz}\), ",", "\[IndentingNewLine]", 
            RowBox[{\(str = {}\), ";", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Schleife\  \[UDoubleDot]ber\  \(d  en\)\  Index\  i\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i = 1\), ",", \(i \[LessEqual] P\), ",", \(i++\), 
                  ",", "\[IndentingNewLine]", 
                  
                  StyleBox[\( (*\ 
                      A[i]^Potenz\  = \(\(>\)\(\ \)\(Potenz\ *\ {0}\)\)\ *) \
\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                  
                  RowBox[{\(Potenz = bestimmeAnzahl[term, i, K, A]\), ";", 
                    "\[IndentingNewLine]", \(For[j = 1, 
                      j \[LessEqual] Potenz, \(j++\), AppendTo[str, 0]]\), 
                    ";", "\[IndentingNewLine]", 
                    
                    StyleBox[\( (*\ 
                        B[i]^Potenz\  = \(\(>\)\(\ \)\(Potenz\ *\ {1}\)\)\ *) \
\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    "\[IndentingNewLine]", \(Potenz = 
                      bestimmeAnzahl[term, i, K, B]\), ";", 
                    "\[IndentingNewLine]", \(For[j = 1, 
                      j \[LessEqual] Potenz, \(j++\), AppendTo[str, 1]]\), 
                    ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", "str"}]}], "]"}]}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*\ Test\ *) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(bildeZeichenkette[2\ B[4]^2\ A[1]\ B[2]^3\ A[3]^4, 4, 4]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[
    \({0, 1, 1, 1, 0, 0, 0, 0, 1, 1}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{\(streicheVorfaktor[term_, K_, P_]\), ":=", 
        RowBox[{"Module", "[", 
          
          RowBox[{\({ohneVorfaktor, i, j, anz}\), ",", "\[IndentingNewLine]", 
            
            RowBox[{\(ohneVorfaktor = 1\), ";", "\[IndentingNewLine]", 
              RowBox[{
                StyleBox["(*",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox[" ",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox[\(Schleife\ \[UDoubleDot]ber\ den\ Index\ i\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox[" ",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                StyleBox["*)",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]]}], "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
                
                RowBox[{\(i = 1\), ",", \(i \[LessEqual] P\), ",", \(i++\), 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{
                    StyleBox["(*",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[\(Anzahl\ von\ A[i]\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox[" ",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], 
                    StyleBox["*)",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]]}], 
                  "\[IndentingNewLine]", 
                  
                  RowBox[{\(anz = bestimmeAnzahl[term, i, K, A]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      StyleBox["(*",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      RowBox[{
                        StyleBox["Vorfaktor",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        StyleBox[" ",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        StyleBox["\[Rule]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        StyleBox[" ",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        RowBox[{
                          StyleBox["Vorfaktor",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox[" ",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox["*",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox[" ",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          RowBox[{
                            RowBox[{
                              StyleBox["A",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["[",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["i",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]]}], 
                            StyleBox["^",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox["anz",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]]}]}]}], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox["*)",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]]}], 
                    "\[IndentingNewLine]", \(For[j = 1, 
                      j \[LessEqual] anz, \(j++\), 
                      ohneVorfaktor = A[i]*ohneVorfaktor]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      StyleBox["(*",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[\(Anzahl\ von\ B[i]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox["*)",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]]}], 
                    "\[IndentingNewLine]", \(anz = 
                      bestimmeAnzahl[term, i, K, B]\), ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                      StyleBox["(*",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      RowBox[{
                        StyleBox["Vorfaktor",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        StyleBox[" ",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        StyleBox["\[Rule]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        StyleBox[" ",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->GrayLevel[0.500008]], 
                        RowBox[{
                          StyleBox["Vorfaktor",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox[" ",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox["*",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          StyleBox[" ",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->GrayLevel[0.500008]], 
                          RowBox[{
                            RowBox[{
                              StyleBox["B",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["[",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["i",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]], 
                              StyleBox["]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                FontColor->GrayLevel[0.500008]]}], 
                            StyleBox["^",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]], 
                            StyleBox["anz",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              FontColor->GrayLevel[0.500008]]}]}]}], 
                      StyleBox[" ",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      StyleBox["*)",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]]}], 
                    "\[IndentingNewLine]", \(For[j = 1, 
                      j \[LessEqual] anz, \(j++\), 
                      ohneVorfaktor = B[i]*ohneVorfaktor]\), ";"}]}], 
                "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              "ohneVorfaktor"}]}], "]"}]}], ";"}], "\n", 
    RowBox[{\(Vorfaktor[term_, K_, P_] := 
          Simplify[term/streicheVorfaktor[term, K, P]];\), 
      "\[IndentingNewLine]", 
      RowBox[{
        StyleBox["(*",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[1, 0, 0]], 
        StyleBox[" ",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[1, 0, 0]], 
        StyleBox["Test",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[1, 0, 0]], 
        StyleBox[" ",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[1, 0, 0]], 
        StyleBox["*)",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[1, 0, 0]]}]}], "\[IndentingNewLine]", 
    StyleBox[\(Vorfaktor[2\ B[4]^2\ A[1]\ B[2]^3\ A[3]^4, 4, 4]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[
    \(2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(bestimmeKoeffizienten[Ansatz_, K_, P_]\), " ", ":=", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({Entwicklung, Polynom, Summand, Koeffizienten, 
                Dualzahl, Dezimalzahl, i}\), ",", "\[IndentingNewLine]", 
              
              StyleBox[\( (*\ 
                  Entwicklung\ des\ Ansatzes\ in\ eine\ Reihe\ bis\ zur\ \
Ordnung\ K\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(Entwicklung\  = Normal[Series[Ansatz, {t, 0, K}]]\), 
                ";", "\[IndentingNewLine]", 
                StyleBox[\( (*\ Polynom\ vor\ t\^K\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(Polynom\  = \ 
                  Expand[Coefficient[Entwicklung, t^K]]\), ";", 
                "\[IndentingNewLine]", 
                StyleBox[\( (*\ Koeffizienten\ des\ Polynoms\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(For[i = 0, 
                  i \[LessEqual] 2^K - 1, \(i++\), Koeffizienten[i] = 0]\), 
                ";", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Alle\ Summanden\ des\ Polynoms\ durchlaufen,  ... \ *) \),
                  
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i = 1\), ",", \(i \[LessEqual] Length[Polynom]\), 
                    ",", \(i++\), ",", "\[IndentingNewLine]", 
                    
                    RowBox[{\(Summand\  = \ Polynom[\([i]\)]\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\( (*\ \(\(...\) \(jedem\)\(\ \)\(S  u  
                                mmanden\)\(\ \)\(eine\)\(\ \)\(eindeutige\)\(\
\ \)\(Zahl\)\(\ \)\(zuordnen\)\(\ \)\(und\)\)\  ... \ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", \(Dualzahl = 
                        bildeZeichenkette[Summand, K, P]\), ";", 
                      "\[IndentingNewLine]", \(Dezimalzahl = 
                        FromDigits[Dualzahl, 2]\), ";", "\[IndentingNewLine]",
                       
                      
                      StyleBox[\( (*\ 
                          anhand\ dieser\ Zahl\ den\ Koeffizienten\ \
\(\(abspeichern\)\(.\)\)\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", \(Koeffizienten[
                          Dezimalzahl]\  = \ 
                        Koeffizienten[Dezimalzahl] + \ 
                          Vorfaktor[Summand, K, P]\), ";"}]}], 
                  "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", \(Table[
                  Koeffizienten[i], {i, 0, 2^K\  - 1}]\)}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      StyleBox[\( (*\ Test\ *) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(bestimmeKoeffizienten[Exp[A[1] p[1] t] Exp[B[2] p[2] t], 2, 
        2]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[
    \({p[1]\^2\/2, p[1]\ p[2], 0, p[2]\^2\/2}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{\(bestimmeParameter[K_, P_]\), " ", ":=", " ", 
          RowBox[{"Module", "[", 
            
            RowBox[{\({i, j, Ansatz, Parameter, Koeffizienten, Gleichungen, 
                Term1, Term2, Term3}\), ",", "\[IndentingNewLine]", 
              StyleBox[\( (*\ Ansatz\ *) \),
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
              
              RowBox[{\(Ansatz\  = \ 
                  Product[\ 
                    Exp[p[2*j - 1]\ *A[2\ *j\  - \ 1]*\ t]*\ 
                      Exp[p[2  j]\ *\ B[2  j]\ *\ t], {j, 1, P}]\), ";", " ", 
                "\[IndentingNewLine]", 
                
                StyleBox[\(Term1\  = \ 
                    q/2*A[1]\  + \ q*B[2]\  + \ q*A[3]\  + \ q*B[4]\),
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox[";",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["\[IndentingNewLine]",
                  FontColor->RGBColor[0, 0, 1]], 
                
                StyleBox[\(Term2\  = \ \((1 - 3*q)\)/2*
                        A[5] + \((1 - 4*q)\)\ *\ B[6]\  + \ \((1 - 3*q)\)/2*
                        A[7]\),
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox[";",
                  FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                
                StyleBox[\(Term3\  = \ 
                    q*B[8] + \ q*A[9]\  + \ q*B[10]\  + \ q/2*A[11]\),
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox[";",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["\[IndentingNewLine]",
                  FontColor->RGBColor[0, 0, 1]], 
                
                StyleBox[\(Ansatz\  = 
                    Exp[\((Term1\  + \ Term2\  + \ Term3)\)*t]\),
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox[";",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["\[IndentingNewLine]",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox[\(Print["\<Ansatz:\>"]\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[";",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[\(Print[Ansatz]\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[";",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                StyleBox[\( (*\ Parameter\ \(d  es\)\ Ansatzes\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(Parameter\  = \ 
                  Table[p[j], {j, 1, 2  P}]\), ";", "\[IndentingNewLine]", 
                StyleBox[\(Parameter\  = \ {q}\),
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox[";",
                  FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                StyleBox[\(Print["\<Parameter:\>"]\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[";",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[\(Print[Parameter]\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[";",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Gleichungen\ f\[UDoubleDot]r\ die\ Koeffizienten\ \(d  
                        es\)\ Ansatzes\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], 
                "\[IndentingNewLine]", \(Gleichungen\  = \ {}\), ";", 
                "\[IndentingNewLine]", 
                
                StyleBox[\( (*\ 
                    Schleife\ \[UDoubleDot]ber\ die\ Ordnung\ *) \),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                  
                  RowBox[{\(i\  = \ 1\), ",", \(i \[LessEqual] \ K\), ",", 
                    " ", \(i++\), ",", "\[IndentingNewLine]", 
                    StyleBox[\( (*\ Koeffizienten\ des\ Ansatzes\ *) \),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->GrayLevel[0.500008]], "\[IndentingNewLine]", 
                    
                    
                    RowBox[{\(Koeffizienten\  = \ 
                        bestimmeKoeffizienten[Ansatz, i, 2  P]\), ";", 
                      "\[IndentingNewLine]", 
                      
                      StyleBox[\(Print["\<Koeffizienten \>"\  <> \ 
                            ToString[i]\  <> \ "\<.Ordnung:\>"]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[\(Print[Koeffizienten]\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], 
                      StyleBox[";",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
                      
                      StyleBox[\( (*\ Koeffizientenvergleich\ *) \),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->GrayLevel[0.500008]], 
                      "\[IndentingNewLine]", \(Table[\ 
                        x[j]\  = \ Koeffizienten[\([j]\)], {j, 1, 2^i}]\), 
                      ";", "\[IndentingNewLine]", \(Table[\ 
                        y[j]\  = \ 1/\(i!\), {j, 1, 2^i}]\), ";", 
                      "\[IndentingNewLine]", \(Gleichungen\  = \ 
                        Join[Gleichungen, 
                          Table[x[j] \[Equal] y[j], {j, 1, 2^i}]]\), ";"}]}], 
                  "\[IndentingNewLine]", "]"}], ";", 
                "\[IndentingNewLine]", \(Print[
                  Solve[Gleichungen, Parameter]]\), ";"}]}], 
            "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
      StyleBox[\( (*\ Test\ *) \),
        FontWeight->"Plain",
        FontSlant->"Italic",
        FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
    StyleBox[\(bestimmeParameter[4, 6]\),
      FontWeight->"Plain",
      FontSlant->"Italic",
      FontColor->RGBColor[1, 0, 0]]}], "Input"],

Cell[BoxData[
    \("Ansatz:"\)], "Print"],

Cell[BoxData[
    \(\[ExponentialE]\^\(t\ \((1\/2\ q\ A[1] + q\ A[3] + 1\/2\ \((1 - 3\ q)\)\
\ A[5] + 1\/2\ \((1 - 3\ q)\)\ A[7] + q\ A[9] + 1\/2\ q\ A[11] + q\ B[2] + q\ \
B[4] + \((1 - 4\ q)\)\ B[6] + q\ B[8] + q\ B[10])\)\)\)], "Print"],

Cell[BoxData[
    \("Parameter:"\)], "Print"],

Cell[BoxData[
    \({q}\)], "Print"],

Cell[BoxData[
    \("Koeffizienten 1.Ordnung:"\)], "Print"],

Cell[BoxData[
    \({1, 1}\)], "Print"],

Cell[BoxData[
    \("Koeffizienten 2.Ordnung:"\)], "Print"],

Cell[BoxData[
    \({1\/2, 1\/2, 1\/2, 1\/2}\)], "Print"],

Cell[BoxData[
    \("Koeffizienten 3.Ordnung:"\)], "Print"],

Cell[BoxData[
    \({1\/6, 1\/8 + q\/2 - 2\ q\^2 + \(5\ q\^3\)\/2, 
      1\/4 - q + 4\ q\^2 - 5\ q\^3, 1\/4 - q + 4\ q\^2 - 5\ q\^3, 
      1\/8 + q\/2 - 2\ q\^2 + \(5\ q\^3\)\/2, 2\ q - 8\ q\^2 + 10\ q\^3, 
      1\/4 - q + 4\ q\^2 - 5\ q\^3, 1\/6}\)], "Print"],

Cell[BoxData[
    \("Koeffizienten 4.Ordnung:"\)], "Print"],

Cell[BoxData[
    \({1\/24, 1\/48 + q\/4 - q\^2 + \(5\ q\^3\)\/4, 
      1\/16 - q\/4 + q\^2 - \(5\ q\^3\)\/4, 
      1\/16 - q\/4 + q\^2 - \(5\ q\^3\)\/4, 
      1\/16 - q\/4 + q\^2 - \(5\ q\^3\)\/4, q\/2 - 2\ q\^2 + \(5\ q\^3\)\/2, 
      1\/8 - q + 4\ q\^2 - 5\ q\^3, 1\/12 - q\/2 + 2\ q\^2 - \(5\ q\^3\)\/2, 
      1\/48 + q\/4 - q\^2 + \(5\ q\^3\)\/4, q\/2 - 2\ q\^2 + \(5\ q\^3\)\/2, 
      q\/2 - 2\ q\^2 + \(5\ q\^3\)\/2, q\/2 - 2\ q\^2 + \(5\ q\^3\)\/2, 
      1\/16 - q\/4 + q\^2 - \(5\ q\^3\)\/4, q\/2 - 2\ q\^2 + \(5\ q\^3\)\/2, 
      1\/12 - q\/2 + 2\ q\^2 - \(5\ q\^3\)\/2, 1\/24}\)], "Print"],

Cell[BoxData[
    \({{q \[Rule] 4\/15 + 1\/\(15\ 2\^\(2/3\)\) + 2\^\(2/3\)\/15}, {q \[Rule] 
          4\/15 - \(1 - \[ImaginaryI]\ \@3\)\/\(15\ 2\^\(1/3\)\) - \(1 + \
\[ImaginaryI]\ \@3\)\/\(30\ 2\^\(2/3\)\)}, {q \[Rule] 
          4\/15 - \(1 - \[ImaginaryI]\ \@3\)\/\(30\ 2\^\(2/3\)\) - \(1 + \
\[ImaginaryI]\ \@3\)\/\(15\ 2\^\(1/3\)\)}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        StyleBox[\({q \[Rule] 
              4\/15 + 1\/\(15\ 2\^\(2/3\)\) + 2\^\(2/3\)\/15}\),
          FontColor->RGBColor[0, 0, 1]], 
        ",", \({q \[Rule] 
            4\/15 - \(1 - \[ImaginaryI]\ \@3\)\/\(15\ 2\^\(1/3\)\) - \(1 + \
\[ImaginaryI]\ \@3\)\/\(30\ 2\^\(2/3\)\)}\), 
        ",", \({q \[Rule] 
            4\/15 - \(1 - \[ImaginaryI]\ \@3\)\/\(30\ 2\^\(2/3\)\) - \(1 + \
\[ImaginaryI]\ \@3\)\/\(15\ 2\^\(1/3\)\)}\)}], "}"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(N[\((1\/\(4 - \ 4\^\(1/3\)\))\)\  - \ \((4\/15 + 
            1\/\(15\ 2\^\(2/3\)\) + 2\^\(2/3\)\/15)\)]\)], "Input"],

Cell[BoxData[
    \(0.`\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 415, 10, 70, "Input"],
Cell[2157, 63, 197, 3, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2391, 71, 8675, 184, 330, "Input"],
Cell[11069, 257, 35, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11141, 263, 2293, 49, 290, "Input"],
Cell[13437, 314, 64, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13538, 320, 12678, 272, 350, "Input"],
Cell[26219, 594, 35, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26291, 600, 3865, 81, 410, "Input"],
Cell[30159, 683, 73, 1, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30269, 689, 7528, 160, 570, "Input"],
Cell[37800, 851, 42, 1, 25, "Print"],
Cell[37845, 854, 239, 3, 31, "Print"],
Cell[38087, 859, 45, 1, 25, "Print"],
Cell[38135, 862, 36, 1, 25, "Print"],
Cell[38174, 865, 59, 1, 25, "Print"],
Cell[38236, 868, 39, 1, 25, "Print"],
Cell[38278, 871, 59, 1, 25, "Print"],
Cell[38340, 874, 57, 1, 38, "Print"],
Cell[38400, 877, 59, 1, 25, "Print"],
Cell[38462, 880, 263, 4, 41, "Print"],
Cell[38728, 886, 59, 1, 25, "Print"],
Cell[38790, 889, 608, 9, 78, "Print"],
Cell[39401, 900, 354, 5, 47, "Output"]
}, Open  ]],
Cell[39770, 908, 502, 11, 48, "Input"],

Cell[CellGroupData[{
Cell[40297, 923, 137, 2, 45, "Input"],
Cell[40437, 927, 37, 1, 29, "Output"]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

